package com.ximai.mes.pro.domain.prototypeRequest;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 打样申请工序对象 pro_prototype_request_process
 *
 * @author zht
 * @date 2024-01-18
 */
public class ProPrototypeRequestProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long prototypeRequestProcessId;

    /** 样品申请单ID */
    @Excel(name = "样品申请单ID")
    private Long prototypeRequestId;

    /** 记录ID */
    @Excel(name = "记录ID")
    private Long recordId;

    /** 准备时间 */
    @Excel(name = "准备时间")
    private Long defaultPreTime;

    /** 等待时间 */
    @Excel(name = "等待时间")
    private Long defaultSufTime;

    /** 关键工序 */
    @Excel(name = "关键工序")
    private String keyFlag;

    /** 是否检验 */
    @Excel(name = "是否检验")
    private String isCheck;

    /** 工作中心ID */
    @Excel(name = "工作中心ID")
    private Long workstationId;

    /** 标准工时 */
    @Excel(name = "标准工时")
    private BigDecimal stdWorkingTime;

    public void setPrototypeRequestProcessId(Long prototypeRequestProcessId)
    {
        this.prototypeRequestProcessId = prototypeRequestProcessId;
    }

    public Long getPrototypeRequestProcessId()
    {
        return prototypeRequestProcessId;
    }
    public void setPrototypeRequestId(Long prototypeRequestId)
    {
        this.prototypeRequestId = prototypeRequestId;
    }

    public Long getPrototypeRequestId()
    {
        return prototypeRequestId;
    }
    public void setRecordId(Long recordId)
    {
        this.recordId = recordId;
    }

    public Long getRecordId()
    {
        return recordId;
    }
    public void setDefaultPreTime(Long defaultPreTime)
    {
        this.defaultPreTime = defaultPreTime;
    }

    public Long getDefaultPreTime()
    {
        return defaultPreTime;
    }
    public void setDefaultSufTime(Long defaultSufTime)
    {
        this.defaultSufTime = defaultSufTime;
    }

    public Long getDefaultSufTime()
    {
        return defaultSufTime;
    }
    public void setKeyFlag(String keyFlag)
    {
        this.keyFlag = keyFlag;
    }

    public String getKeyFlag()
    {
        return keyFlag;
    }
    public void setIsCheck(String isCheck)
    {
        this.isCheck = isCheck;
    }

    public String getIsCheck()
    {
        return isCheck;
    }
    public void setWorkstationId(Long workstationId)
    {
        this.workstationId = workstationId;
    }

    public Long getWorkstationId()
    {
        return workstationId;
    }
    public void setStdWorkingTime(BigDecimal stdWorkingTime)
    {
        this.stdWorkingTime = stdWorkingTime;
    }

    public BigDecimal getStdWorkingTime()
    {
        return stdWorkingTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prototypeRequestProcessId", getPrototypeRequestProcessId())
            .append("prototypeRequestId", getPrototypeRequestId())
            .append("recordId", getRecordId())
            .append("defaultPreTime", getDefaultPreTime())
            .append("defaultSufTime", getDefaultSufTime())
            .append("keyFlag", getKeyFlag())
            .append("isCheck", getIsCheck())
            .append("remark", getRemark())
            .append("workstationId", getWorkstationId())
            .append("stdWorkingTime", getStdWorkingTime())
            .toString();
    }
}
